Create a PDF file with Family Name Cards

This example request illustrates how to create a PDF file with temple ordinances family name cards. A family name card is created by posting the ordinance reservations that should be included. Ordinances of type sealing to spouse require a reference to the spouse. Ordinances of type sealing to parents require a reference to the parents.

JSON

Request

POST /platform/ordinances/family-name-cards
Content-Type: application/x-fs-v1+json
Authorization: Bearer YOUR_ACCESS_TOKEN_HERE
                
                  {
  "persons" : [ {
    "id" : "KKVV-111",
    "ordinances" : [ {
      "type" : "http://churchofjesuschrist.org/Baptism"
    }, {
      "type" : "http://churchofjesuschrist.org/Confirmation"
    }, {
      "type" : "http://churchofjesuschrist.org/Initiatory"
    }, {
      "type" : "http://churchofjesuschrist.org/Endowment"
    }, {
      "type" : "http://churchofjesuschrist.org/SealingToSpouse",
      "participants" : [ {
        "roleType" : "http://familysearch.org/v1/Spouse",
        "sexType" : "http://familysearch.org/v1/Female",
        "participant" : {
          "resource" : "https/api.familysearch.org/platform/tree/persons/KKVV-SSS"
        }
      } ]
    }, {
      "type" : "http://churchofjesuschrist.org/SealingChildToParents",
      "participants" : [ {
        "roleType" : "http://familysearch.org/v1/Parent",
        "sexType" : "http://familysearch.org/v1/Male",
        "participant" : {
          "resource" : "https/api.familysearch.org/platform/tree/persons/KKVV-FFF"
        }
      }, {
        "roleType" : "http://familysearch.org/v1/Parent",
        "sexType" : "http://familysearch.org/v1/Female",
        "participant" : {
          "resource" : "https/api.familysearch.org/platform/tree/persons/KKVV-MMM"
        }
      } ]
    } ]
  } ]
}
                
              

Response

HTTP/1.1 201 Created
X-entity-id: Family-Ordinance-Request_number
X-processing-time: 3
Vary: Accept,Accept-Language,Accept-Encoding,Expect
Date: Sun, 03 Apr 1836 10:00:00 GMT-5
Cache-control: no-transform, must-revalidate, max-age=0
Location: https://api.familysearch.org/platform/ordinances/family-name-cards/FNCID-AAA
Transfer-encoding: chunked
                
              

XML

Request

POST /platform/ordinances/family-name-cards
Content-Type: application/x-fs-v1+xml
Authorization: Bearer YOUR_ACCESS_TOKEN_HERE
                
                  <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<fs:familysearch xmlns:fs="http://familysearch.org/v1/" xmlns="http://gedcomx.org/v1/" xmlns:atom="http://www.w3.org/2005/Atom">
    <person id="KKVV-111">
        <fs:ordinance type="http://churchofjesuschrist.org/Baptism"/>
        <fs:ordinance type="http://churchofjesuschrist.org/Confirmation"/>
        <fs:ordinance type="http://churchofjesuschrist.org/Initiatory"/>
        <fs:ordinance type="http://churchofjesuschrist.org/Endowment"/>
        <fs:ordinance type="http://churchofjesuschrist.org/SealingToSpouse">
            <fs:participant roleType="http://familysearch.org/v1/Spouse" sexType="http://familysearch.org/v1/Female">
                <fs:participant resource="https/api.familysearch.org/platform/tree/persons/KKVV-SSS"/>
            </fs:participant>
        </fs:ordinance>
        <fs:ordinance type="http://churchofjesuschrist.org/SealingChildToParents">
            <fs:participant roleType="http://familysearch.org/v1/Parent" sexType="http://familysearch.org/v1/Male">
                <fs:participant resource="https/api.familysearch.org/platform/tree/persons/KKVV-FFF"/>
            </fs:participant>
            <fs:participant roleType="http://familysearch.org/v1/Parent" sexType="http://familysearch.org/v1/Female">
                <fs:participant resource="https/api.familysearch.org/platform/tree/persons/KKVV-MMM"/>
            </fs:participant>
        </fs:ordinance>
    </person>
</fs:familysearch>

                
              

Response

HTTP/1.1 201 Created
X-entity-id: Family-Ordinance-Request_number
X-processing-time: 3
Vary: Accept,Accept-Language,Accept-Encoding,Expect
Date: Sun, 03 Apr 1836 10:00:00 GMT-5
Cache-control: no-transform, must-revalidate, max-age=0
Location: https://api.familysearch.org/platform/ordinances/family-name-cards/FNCID-AAA
Transfer-encoding: chunked
                
              

Change Language

Feedback

Sending...

Feedback was sent.

Can't send feedback. Retry in 5 seconds.